API Reference

Create a payout

posthttps://api-sandbox.circle.com/v1/businessAccount/payouts

  • Reference
  • Playground

Create a redemption (offramp) payout. This payout converts a digital asset to fiat currency.

Body parameters
amount
object
Required
amount
string
Required

Magnitude of the amount, in units of the currency, with a ..

currency
string
Required

Currency code.

Allowed valuesUSDEURMXNSGDBRL
destination
object
Required

The destination bank account.

type
string
Required
Allowed valueswirecubixpixsepasepa_instant
id
string
Required

Unique system generated identifier for the entity.

idempotencyKey
string
Required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

toAmount
object

To be used when requesting currency exchange

amount
string

Magnitude of the amount, in units of the currency, with a ..

currency
string
Required

Currency code.

Allowed valuesUSDEURMXNSGDBRL
source
object

The source wallet to pay out from. If not provided, the deposit will come from the main wallet of the account.

You can get wallet IDs associated with your account using the Core API for Institutions.

id
string
Required

Unique system-generated identifier for the wallet of the institutional entity.

type
string
Required
Allowed valueswallet
Response
RequestChoose a language
ResponseChoose an example
1{
2  "data": {
3    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
4    "sourceWalletId": "53535335",
5    "destination": {
6      "type": "wire",
7      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
8      "name": "COMMERZBANK AG ****3000"
9    },
10    "amount": {
11      "amount": "3.14",
12      "currency": "USD"
13    },
14    "toAmount": {
15      "amount": "3.14",
16      "currency": "USD"
17    },
18    "fees": {
19      "amount": "3.14",
20      "currency": "USD"
21    },
22    "status": "pending",
23    "trackingRef": "CIR-6ESOQANEP3NAO",
24    "errorCode": "insufficient_funds",
25    "riskEvaluation": {
26      "decision": "approved",
27      "reason": "3000"
28    },
29    "adjustments": {
30      "fxCredit": {
31        "amount": "3.14",
32        "currency": "USD"
33      },
34      "fxDebit": {
35        "amount": "3.14",
36        "currency": "USD"
37      }
38    },
39    "return": {
40      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
41      "payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
42      "amount": {
43        "amount": "3.14",
44        "currency": "USD"
45      },
46      "fees": {
47        "amount": "3.14",
48        "currency": "USD"
49      },
50      "reason": "payout_returned",
51      "status": "pending",
52      "createDate": "2020-04-10T02:13:30.000Z",
53      "updateDate": "2020-04-10T02:13:30.000Z"
54    },
55    "createDate": "2020-04-10T02:13:30.000Z",
56    "updateDate": "2020-04-10T02:13:30.000Z"
57  }
58}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.